## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           bfs
Version:        3.0.4
Release:        %autorelease
Summary:        A breadth-first version of the UNIX find command

License:        0BSD
URL:            https://github.com/tavianator/bfs
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(libacl)
BuildRequires:  pkgconfig(libattr)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(oniguruma)
BuildRequires:  pkgconfig(liburing)
# needed to run check
BuildRequires:  acl

%description
bfs is a breadth-first version of the UNIX find(1) command.

bfs supports almost every feature from every major find(1)
implementation, so your existing command lines should work as-is.
It also adds some features of its own, such as a more forgiving
command line parser and some additional options.

%prep
%autosetup

%build
%make_build

%install
%make_install

%check
%make_build check

%files
%license LICENSE
%doc README.md docs/{CHANGELOG,USAGE}.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_%{name}
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/%{name}.fish

%changelog
* Sun Dec 03 2023 Gustavo Costa <xfgusta@gmail.com> 3.0.4-1
- Update to 3.0.4 (rhbz#2244219)

* Thu Sep 14 2023 Gustavo Costa <xfgusta@gmail.com> 3.0.2-1
- Update to 3.0.2 (rhbz#2237850)

* Wed Jul 19 2023 Gustavo Costa <xfgusta@gmail.com> 3.0.1-1
- Update to 3.0.1 (rhbz#2223829)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Gustavo Costa <xfgusta@gmail.com> 3.0-1
- Update to 3.0

* Wed Feb 01 2023 Gustavo Costa <xfgusta@gmail.com> - 2.6.3-1
- Update to 2.6.3 (rhbz#2166230)
- Use SPDX license

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 23 2022 Gustavo Costa <xfgusta@gmail.com> - 2.6.2-1
- Update to 2.6.2 (rhbz#2136941)

* Wed Jul 13 2022 Gustavo Costa <xfgusta@gmail.com> - 2.6.1-1
- Initial package

